(function () {
    var feedsList = [];
    if (window.location.href != null && window.location.href.indexOf('https://baike.baidu.com/calendar/') >= 0) {
        var container = document.querySelector('.events-container')
        var events = container.querySelector('.events');
        var hotList = events.querySelectorAll('dd');
        if (hotList.length > 0) {
            for (var i = 0; i < hotList.length; i++) {
                var item = {};
                try {
                    item.year = hotList[i].querySelector('.year').innerText;
                    item.title = hotList[i].querySelector('.event_tit').innerText;
                    item.dec = hotList[i].querySelector('.event_cnt').innerText;
                    var hrefs = hotList[i].querySelector('.event_cnt').querySelectorAll('a');
                    if (hrefs && hrefs.length > 0) {
                        item.url = hrefs[hrefs.length - 1].href;
                    }

                    console.log('hotItem.....' + JSON.stringify(item));

                    feedsList.push(item);
                } catch (error) {
                    console.log("exp [" + i + "]");
                    continue;
                }
            }
        } else {
            console.log("no hot list.");
        }
    } else {
        console.log("no location.href");
    }
    return feedsList;
})();
