(function () {
    var feedsList = [];
    if (window.location.href != null && window.location.href.indexOf('https://s.weibo.com') >= 0) {
        var hotSection = document.querySelector('.list');
        var hotList = hotSection.querySelectorAll('a');
        if (hotList.length > 0) {
            for (var i = 0; i < hotList.length; i++) {
                var hotItem = {};
                try {
                    hotItem.url = hotList[i].href;
                    var img = hotList[i].querySelector('img');
                    if (img) {
                        hotItem.img = img.src;
                    }
                    var article = hotList[i].querySelector('article');
                    if (article) {
                        hotItem.title = article.querySelector('h2').textContent;
                        hotItem.dec = article.querySelector('p').textContent;
                        hotItem.amount = article.querySelector('span').textContent;
                    }

                    // console.log('hotItem.....' + JSON.stringify(hotItem));

                    feedsList.push(hotItem);
                } catch (error) {
                    console.log("exp [" + i + "]");
                    continue;
                }
            }
        } else {
            console.log("no hot list.");
        }
    } else {
        console.log("no location.href");
    }
    console.log('feedsList....'+JSON.stringify(feedsList));
    return feedsList;
})();