(function () {
    var feedsList = [];
    if (window.location.href != null) {
        try {
            let hotList = document.querySelectorAll('.hot-module-container')
            if (hotList && hotList.length > 0) {
                for (var i = 0; i < hotList.length; i++) {
                    var item = {};
                    try {
                        const hotItem = document.querySelectorAll('.abstract-item')[i];
                        item.title = hotItem.querySelector('h1').querySelectorAll('span')[1].innerText;
                        const image = hotItem.querySelector('.img').getAttribute('style');
                        item.img = image.substring(image.indexOf('("') + 2, image.indexOf('")'));
                        item.dec = hotItem.querySelector('.abstract').innerText;
                        const name = hotList[i].getAttribute('name');
                        item.url = 'https://kuaibao.qq.com/s/' + name + '??function=liulanqi_plt&refer=liulanqi_plt_topsite&kd_plan_id=LPH1-1';

                        console.log('hotItem.....' + JSON.stringify(item));

                        feedsList.push(item);
                    } catch (error) {
                        console.log("exp [" + i + "]");
                        continue;
                    }
                }
            } else {
                console.log("no hot list.");
            }
        } catch (e) {
            console.log("e===" + e);
        }
    } else {
        console.log("no location.href");
    }
    return feedsList;
})();
